org.apache.ignite.internal.processors.cache.persistence

## Interface CacheDataRow

All Superinterfaces:
  CacheSearchRow, MvccUpdateVersionAware, MvccVersionAware, Storable

All Known Implementing Classes:
  CacheDataRowAdapter, DataRow, DataRowCacheAware, MvccDataRow, MvccUpdateDataRow

    public interface CacheDataRow
    extends MvccUpdateVersionAware, CacheSearchRow, Storable

Cache data row.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`long` `expireTime()`
`default IOVersions<? extends AbstractDataPageIO>` `ioVersions()`
`void` `key(KeyCacheObject key)`
`void` `link(long link)`
`int` `partition()`
`CacheObject` `value()`
`GridCacheVersion` `version()`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccUpdateVersionAware

`newMvccCoordinatorVersion, newMvccCounter, newMvccOperationCounter, newMvccTxState, newMvccVersion, newMvccVersion, newMvccVersion, newMvccVersion`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.CacheSearchRow

`cacheId, hash, key, link`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccVersionAware

`mvccCoordinatorVersion, mvccCounter, mvccOperationCounter, mvccTxState, mvccVersion, mvccVersion, mvccVersion, mvccVersion`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.Storable

`headerSize, link, size`

### Method Detail

#### value

    CacheObject value()

Returns:
  Cache value.

#### version

    GridCacheVersion version()

Returns:
  Cache entry version.

#### expireTime

    long expireTime()

Returns:
  Expire time.

#### partition

    int partition()

Specified by:
  `partition` in interface `Storable`
Returns:
  Partition for this key.

#### link

    void link(long link)

Specified by:
  `link` in interface `Storable`
Parameters:
  `link` - Link for this row.

#### key

    void key(KeyCacheObject key)

Parameters:
  `key` - Key.

#### ioVersions

    default IOVersions<? extends AbstractDataPageIO> ioVersions()

Specified by:
  `ioVersions` in interface `Storable`
Returns:
  I/O for handling this storable.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022